Chargeback Request
curl --request GET \
--url 'https://api.payaza.africa/live/refund-chargeback/chargeback/merchant/api/chargeback_requests?transaction_reference={transaction_reference}&from={from}&to={to}&page={page}&size={size}' \
--header 'Authorization: <api-key>'import requests
url = "https://api.payaza.africa/live/refund-chargeback/chargeback/merchant/api/chargeback_requests?transaction_reference={transaction_reference}&from={from}&to={to}&page={page}&size={size}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.payaza.africa/live/refund-chargeback/chargeback/merchant/api/chargeback_requests?transaction_reference={transaction_reference}&from={from}&to={to}&page={page}&size={size}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"message": "Chargeback Request Success",
"data": {
"content": [
{
"id": 39,
"rrn": "420812221989",
"transaction_reference": "QA-PL-1KBPSCJCRD60143",
"transaction": {
"id": 94223,
"description": "Test",
"ended_at": "2024-07-23 12:32:17.686000",
"fee_amount": 0,
"rrn": "420812221989",
"collection_channel": "Card",
"started_at": "2024-07-23 12:32:17.686000",
"status_reason": "Payment Approved",
"transaction_amount": 10.03,
"transaction_reference": "QA-PL-1KBPSCJCRD60143",
"transaction_status": "Completed",
"customer": {
"id": 97398,
"email_address": "johndoe@yahoo.com",
"first_name": "John",
"last_name": "Doe",
"mobile_number": "08012345678"
},
"currency": {
"id": 2,
"name": "US Dollar",
"code": "USD",
"html_code": "$",
"iso_code": "USD",
"unicode": "$",
"active": true
}
},
"reason_message": "fraudulent transaction",
"approval_code": "51063",
"chargeback_date": "2024-07-26",
"original_amt": "10.03",
"chargeback_status": "Pending",
"date_created": "2024-07-26 21:55:57.130891",
"merchant_display_name": "link"
},
{
"id": 100,
"rrn": "421018257589",
"transaction_reference": "Test17221917900340",
"transaction": {
"id": 94286,
"description": "Test",
"ended_at": "2024-07-28 18:36:44.578000",
"fee_amount": 0,
"rrn": "421018257589",
"collection_channel": "Card",
"started_at": "2024-07-28 18:36:44.578000",
"status_reason": "Payment Approved",
"transaction_amount": 0.01,
"transaction_reference": "Test17221917900340",
"transaction_status": "Completed",
"customer": {
"id": 97492,
"email_address": "johndoe@yahoo.com",
"first_name": "first",
"last_name": "test",
"mobile_number": "09019393910"
},
"currency": {
"id": 2,
"name": "US Dollar",
"code": "USD",
"html_code": "$",
"iso_code": "USD",
"unicode": "$",
"active": true
}
},
"reason_message": "stolen card",
"approval_code": "98420",
"chargeback_date": "2024-07-30",
"original_amt": "0.01",
"chargeback_status": "Pending",
"date_created": "2024-07-30 21:55:56.665030",
"merchant_display_name": "link"
}
],
"total": 2,
"last": true,
"first": true,
"pageable": {
"page": 1,
"size": 10
}
}
}Refunds And Chargebacks
Chargeback Request
This endpoint is used to fetch chargeback requests directed to your Payaza account.
GET
/
refund-chargeback
/
chargeback
/
merchant
/
api
/
chargeback_requests?transaction_reference=
{transaction_reference}
&from=
{from}
&to=
{to}
&page=
{page}
&size=
{size}
Chargeback Request
Authorizations
Payaza {{Public API Key in Base 64}}
Path Parameters
The transaction reference
The start date range to filter data in YYYY-MM-DD format
The end date range to filter data in YYYY-MM-DD format
The page number
Total number of transactions per page.
⌘I